Subject: Re: SITE EXEC?

From: [email-masked]
Date: Mon, 11 Mar 1996 11:52:27 +0100

rh> 
rh> 
rh> I'm trying to work out a system whereby our non-anonymous users can find
rh> out their disk quotas from within ftp (they don't have telnet access).
rh> SITE EXEC seemed as though it would be a good way to do this, and I've
rh> written a small C socket client that contacts a server daemon running on
rh> the machine (in the "real" filesystem, not the chroot'd one) that grabs the
rh> user's UID, runs the quota command, and passes back the result.
rh> 
rh> This client and server work fine if I'm not trying to SITE EXEC them from
rh> within ftp, but I can't seem to get the SITE EXEC stuff to work:
rh> 
rh> 	ftp> site exec quota
rh> 	200-quota
rh> 	200  (end of 'quota')
rh> 
rh> I've tried all manner of paths to get there...
rh> 
rh> Any ideas?  I've looked around for hints on SITE EXEC, but haven't found
rh> any.
rh> 
rh> Many thanks.
rh> 
rh> Pat Wilson
rh> [email-masked]
rh> 
rh> PS Has anyone gotten around to restarting the mailing list archive?
rh> 
rh> 

Took me a lot of reading en trying one time. To send a command to the
server instead of interpreting (sp?) it locally:
quote command
So it becomes:
quote site exec quota.

I hope this helps,

Ronald.

--
// Ronald Hello  ([email-masked])
// University of Twente
// Department of Computer Science
// The Netherlands